void setup() {
  // put your setup code here, to run once:
  PORTA.DIRSET |= 1 << 7; //sets led pin as output
  PORTA.DIRSET &= ~(1 << 6); //sets button pin as input
  PORTA.PIN6CTRL = 0x1; //makes sure button pin has input enabled
  PORTA.PIN6CTRL |= 1 << 3; //enables pullup on button
  PORTA.OUT |= 1 << 7; //turns off
}

void loop() {
  // put your main code here, to run repeatedly:
  if (~PORTA.IN & (1 << 6)) { //checks if button is pressed
    blink();
  }
}

void blink() {
  PORTA.OUT |= 1 << 7; //turns off
  delay(500);
  PORTA.OUT &= ~(1 << 7); //turns on
  delay(500);
  PORTA.OUT |= 1 << 7; //turns off
}
